commit 06757c6b357eb0c313d71eeaaf2ebd1e51f89bef
Author: freddy77 <freddy77>
Date:   Wed Jan 27 15:39:00 2010 +0000

    fix format error which could cause core

diff --git a/ChangeLog b/ChangeLog
index 03a72f7..cade78d 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Wed Jan 27 16:37:25 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/dblib/dblib.c: fix format error which could cause core
+
 Wed Jan 27 16:34:28 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/sspi.c: fix thread issue with SSPI
 
@@ -2233,4 +2236,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2966 2010/01/27 15:35:18 freddy77 Exp $
+$Id: ChangeLog,v 1.2967 2010/01/27 15:39:00 freddy77 Exp $
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index 7f527e9..475cb9b 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -1,6 +1,6 @@
 /* FreeTDS - Library of routines accessing Sybase and Microsoft databases
  * Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005  Brian Bruns
- * Copyright (C) 2006, 2007, 2008  Frediano Ziglio
+ * Copyright (C) 2006-2010  Frediano Ziglio
  *
  * This library is free software; you can redistribute it and/or
  * modify it under the terms of the GNU Library General Public
@@ -75,7 +75,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.360 2010/01/27 03:21:08 jklowden Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.361 2010/01/27 15:39:00 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -7937,7 +7937,7 @@ dbperror (DBPROCESS *dbproc, DBINT msgno, long errnum, ...)
 			return INT_CANCEL;
 		}
 		fprintf(stderr, int_exit_text, db_msgtext, msgno);
-		tdsdump_log(TDS_DBG_SEVERE, int_exit_text, rc, msgno);
+		tdsdump_log(TDS_DBG_SEVERE, int_exit_text, db_msgtext, msgno);
 		break;
 	}
 	exit(EXIT_FAILURE);

